
export ENV_VAR_FILE=$1;

source $ENV_VAR_FILE;

export TF_TABLE=$2;
export LOG_DIR=$3;
export NAME_PROG=$4;
export QTD_FILE=$5;
export OVERLAP_AA=$6;
export PERC_OVERLAP_AA=$7;
export COUNT_NEG=$8;
export SVM=$9;
export DOMAIN_COV=${10};
export REMOVE_WP=${11};
export DOMAIN_FILE=${12};
export DCO_LIST=${13};
export OUTPUT_FILE=${14};
export OVERLAP_LIST=${15};
export CLAN_FILE=${16};
export SVR_CUT_OFF_FILE=${17};

export VERBOSE=false;

perl $PERL_LIB/run/runTestSetPFAMFamily.pl \
-trans_factor_table $TF_TABLE \
-nameRun ${NAME_PROG}_runFamily \
-logDir $LOG_DIR \
-kindRun 1 \
-qtdFile $QTD_FILE \
-prePost \( \
echo \"LOG::START::FAMILY_FACTOR\", \
TOP date, \
TOP echo \$HOSTNAME, \
TOP export PERL_LIB=$PERL_LIB, \
TOP export BASE_DIR=$BASE_DIR, \
TOP export SCRIPT_DIR=$SCRIPT_DIR, \
TOP export TMP_DIR=$TMP/NUM_FILE/, \
TOP mkdir -p \$TMP_DIR, \
TOP cp $PERL_LIB_SOURCE \$TMP_DIR, \
TOP cd \$TMP_DIR, \
TOP tar -xzf perlLib.tar.gz, \
TOP export PERL_LIB=\$TMP_DIR/perlLib, \
TOP cd \$TMP_DIR/perlLib/run/, \
TOP END_LINE, \
TOP g++ combinatoria.cpp -o combinatoria.bin -O3, \
TOP cp $DCO_LIST \$TMP_DIR/DCO.list, \
TOP cp $DCO_LIST.pairs \$TMP_DIR/DCO.list.pairs, \
TOP cp $OVERLAP_LIST \$TMP_DIR/overlap.list, \
TOP cp $CLAN_FILE \$TMP_DIR/Clans.clean, \
TOP cp $SVR_CUT_OFF_FILE \$TMP_DIR/svr.cutOffs, \
cp $DOMAIN_FILE \$TMP_DIR/FAMILY_FACTOR.domains, \
END_LINE \
\) \
-scriptParameters \( \
if [ -s $OUTPUT_FILE ], \
END_LINE, \
then, \
END_LINE, \
echo \" File already Created\:$OUTPUT_FILE \",\
END_LINE, \
else, \
END_LINE, \
perl \$BASE_DIR/scripts/archs/findArch.pl, \
-accNOrganism FAMILY_FACTOR, \
-verbose false, \
-tmpDir \$TMP_DIR, \
-overlapAA_alowed $OVERLAP_AA, \
-perc_overlap_alowed $PERC_OVERLAP_AA, \
-svm $SVM, \
-domCov $DOMAIN_COV, \
-cutOFFWeakPred $REMOVE_WP, \
-domainsFile \$TMP_DIR/FAMILY_FACTOR.domains, \
-DCOList \$TMP_DIR/DCO.list, \
-outputFile $OUTPUT_FILE, \
-overlapList \$TMP_DIR/overlap.list, \
-clanFile \$TMP_DIR/Clans.clean, \
-cutOffsSVMFile \$TMP_DIR/svr.cutOffs, \
END_LINE, \
fi, \
END_LINE \
\)  \
-posPost \( \
echo \" LOG::END::FAMILY_FACTOR\", \
BOTTOM rm -rf \$TMP_DIR, \
date \
\) \
-commandParameters  \( bash \)
