
export ENV_VAR_FILE=$1;
export TF_TABLE=$2;
export LOG_DIR=$3;
export NAME_PROG=$4;
export QTD_FILE=$5;
export DOMAINS_FILE=$6;
export OUTPUT_FILE=$7;

source $ENV_VAR_FILE;

export VERBOSE=false;


perl $PERL_LIB/run/runTestSetPFAMFamily.pl \
-trans_factor_table $TF_TABLE \
-nameRun ${NAME_PROG}_runFamily \
-logDir $LOG_DIR \
-kindRun 1 \
-qtdFile $QTD_FILE \
-prePost \( \
echo \"LOG::START::FAMILY_FACTOR\", \
date, \
TOP echo \$HOSTNAME, \
TOP export PERL_LIB=$PERL_LIB, \
TOP export BASE_DIR=$BASE_DIR, \
TOP export TMP_DIR=$TMP/NUM_FILE/, \
TOP mkdir -p \$TMP_DIR, \
TOP cp $DOMAINS_FILE \$TMP_DIR/best.domains \
\) \
-scriptParameters \( \
END_LINE,\
perl $BASE_DIR/scripts/archs/getDomains.pl, \
-inputFile \$TMP_DIR/best.domains, \
-outputFile \$TMP_DIR/FAMILY_FACTOR_output.txt, \
-verbose $VERBOSE, \
-accQuery FAMILY_FACTOR, \
END_LINE,\
if [ -s \$TMP_DIR/FAMILY_FACTOR_output.txt ], \
END_LINE,\
then, \
END_LINE,\
export DIR=\$\(dirname ${OUTPUT_FILE}\), \
END_LINE,\
mkdir -p \$DIR, \
END_LINE,\
cp \$TMP_DIR/FAMILY_FACTOR_output.txt $OUTPUT_FILE, \
END_LINE,\
rm \$TMP_DIR/FAMILY_FACTOR_output.txt, \
END_LINE,\
else, \
END_LINE,\
echo \"ERROR File NOT created \: $OUTPUT_FILE\", \
END_LINE,\
fi, \
END_LINE \
\)  \
-posPost \( \
echo \" LOG::END::FAMILY_FACTOR\", \
BOTTOM rm -rf \$TMP_DIR, \
date \
\) \
-commandParameters  \( bash \)
