export ENV_VAR_FILE=$1;
export TF_TABLE=$2;
export LOG_DIR=$3;
export NAME_PROG=$4;
export QTD_FILE=$5;
export RESULT_FILE=$6;
export RESULT_FILE_BEST=$7;
export OUTPUT_FILE=$8;

source $ENV_VAR_FILE;

export VERBOSE=false;


perl $PERL_LIB/run/runTestSetPFAMFamily.pl \
-trans_factor_table $TF_TABLE \
-nameRun ${NAME_PROG}_runFamily \
-logDir $LOG_DIR \
-kindRun 1 \
-qtdFile $QTD_FILE \
-prePost \( \
echo \" LOG::START::FAMILY_FACTOR\", \
date, \
echo \$HOSTNAME, \
export PERL_LIB=$PERL_LIB, \
export BASE_DIR=$BASE_DIR, \
export TMP_DIR=$TMP/NUM_FILE/, \
mkdir -p \$TMP_DIR, \
cp $RESULT_FILE \$TMP_DIR/result_resume.txt, \
cp $RESULT_FILE_BEST \$TMP_DIR/result_resume.txt.best \
\) \
-scriptParameters \( \
END_LINE,\
perl $BASE_DIR/scripts/ensemble/domain_average.pl, \
-resultFile \$TMP_DIR/result_resume.txt, \
-resultFileBest \$TMP_DIR/result_resume.txt.best, \
-outputFile \$TMP_DIR/output.txt, \
-verbose $VERBOSE, \
END_LINE,\
if [ -s \$TMP_DIR/output.txt ], \
END_LINE,\
then, \
END_LINE,\
export DIR=\$\(dirname ${OUTPUT_FILE}\), \
END_LINE,\
mkdir -p \$DIR, \
END_LINE,\
cp \$TMP_DIR/output.txt $OUTPUT_FILE, \
END_LINE,\
else, \
END_LINE,\
echo \"ERROR File NOT created \: $OUTPUT_FILE\", \
END_LINE,\
fi, \
END_LINE \
\)  \
-posPost \( \
echo \" LOG::END \", \
rm -rf \$TMP_DIR, \
date \
\) \
-commandParameters  \( bash \)