export ENV_VAR_FILE=$1;			#File path having environment variables

source $ENV_VAR_FILE;

export TF_TABLE=$2; 			#File path having Pfam domain ids
export LOG_DIR=$3; 			#Directory to save executable files and log messages
export NAME_PROG=$4; 			#Name for executable files
export QTD_FILE=$5; 			#Amount of commands saved per executable file. It is usefull for MPI, if you are using just one machine set it with exact number of domains in the Pfam domain list.

#training
export POS_NEG_TRAIN_FILE=$6;		#Training file having positive and negative attributes
export NEG_GENERAL_TRAIN_FILE=$7;	#Training file having additional negative attributes
export POS_GENERAL_TRAIN_FILE=$8;	#Training file having additional positive attributes
export KERNEL=${9};			#Kernel  0 -- linear, 1 -- polynomial, 2 -- radial basis function, 3-- sigmoid, 4 -- precomputed kernel (kernel values in training_set_file)

export TEST_FILE=${10};			#attributes test file 
export RESULT_FILE_BEST=${11};		#file having best hits of CLADE result file.
export OUTPUT_FILE=${12};		#output file
export SVM_CUT_OFF_FILE=${13};		#SVM cut-off file
export DOMAIN_FILE=${14};		#File having domain average size
export VERBOSE=true;

perl $PERL_LIB/run/runTestSetPFAMFamily.pl \
-trans_factor_table $TF_TABLE \
-nameRun ${NAME_PROG}_runFamily \
-logDir $LOG_DIR \
-kindRun 1 \
-qtdFile $QTD_FILE \
-prePost \( \
echo \"LOG::START::FAMILY_FACTOR\", \
date, \
echo \$HOSTNAME, \
TOP export PERL_LIB=$PERL_LIB, \
TOP export BASE_DIR=$BASE_DIR, \
TOP export TMP_DIR=$TMP/NUM_FILE/, \
TOP export PATH=\$PATH\:$PATH_VEIN\;, \
TOP mkdir -p \$TMP_DIR, \
TOP export DIR_OUT=\$\(dirname ${OUTPUT_FILE}\), \
TOP mkdir -p \$DIR_OUT, \
END_LINE \
\) \
-scriptParameters \( \
END_LINE,\
perl $PERL_LIB/run/divideFile.pl, \
-inputFile $POS_NEG_TRAIN_FILE, \
-colPK 0, \
-word Neg-, \
-outputFile \$TMP_DIR/FAMILY_FACTOR, \
END_LINE,\
if [ -s \$TMP_DIR/FAMILY_FACTOR.part1 ], \
END_LINE,\
then, \
END_LINE,\
echo \"Using \$TMP_DIR/FAMILY_FACTOR.part1 as negative file\", \
END_LINE,\
cat \$TMP_DIR/FAMILY_FACTOR.part1 $NEG_GENERAL_TRAIN_FILE \> \$TMP_DIR/FAMILY_FACTOR.neg, \
END_LINE,\
else, \
END_LINE,\
cp $NEG_GENERAL_TRAIN_FILE  \$TMP_DIR/FAMILY_FACTOR.neg, \
END_LINE,\
fi, \
END_LINE,\
cat \$TMP_DIR/FAMILY_FACTOR.part2 $POS_GENERAL_TRAIN_FILE \> \$TMP_DIR/FAMILY_FACTOR.pos, \
END_LINE, \
perl $SCRIPT_DIR/ensemble/createFoldSVMLib.pl, \
-attributesFile \$TMP_DIR/FAMILY_FACTOR.pos, \
-outputFile \$TMP_DIR/FAMILY_FACTOR.train.pos, \
-tmpDir \$TMP_DIR, \
-verbose $VERBOSE, \
-class 1, \
END_LINE, \
perl $SCRIPT_DIR/ensemble/createFoldSVMLib.pl, \
-attributesFile \$TMP_DIR/FAMILY_FACTOR.neg, \
-outputFile \$TMP_DIR/FAMILY_FACTOR.train.neg, \
-tmpDir \$TMP_DIR, \
-verbose $VERBOSE, \
-class -1, \
END_LINE, \
cat \$TMP_DIR/FAMILY_FACTOR.train.pos \$TMP_DIR/FAMILY_FACTOR.train.neg \> \$TMP_DIR/FAMILY_FACTOR.train, \
END_LINE, \
if [ -s $TEST_FILE ], \
END_LINE, \
then, \
END_LINE, \
perl $SCRIPT_DIR/ensemble/createFoldSVMLib.pl, \
-attributesFile $TEST_FILE, \
-outputFile \$TMP_DIR/FAMILY_FACTOR.test, \
-tmpDir \$TMP_DIR, \
-verbose $VERBOSE, \
-class 1, \
END_LINE, \
vm-offline -t 1 -pt $KERNEL \$TMP_DIR/FAMILY_FACTOR.train \$TMP_DIR/FAMILY_FACTOR.test \$TMP_DIR/FAMILY_FACTOR.test.pred, \
END_LINE, \
perl $SCRIPT_DIR/ensemble/formatVeinOutput.pl, \
-PFAM_ACC FAMILY_FACTOR, \
-classOutput \$TMP_DIR/FAMILY_FACTOR.test.pred, \
-idFile $TEST_FILE, \
-outputFile \$TMP_DIR/FAMILY_FACTOR.test.prob, \
-kind 1, \
END_LINE,\
perl $SCRIPT_DIR/ensemble/format_best_results.pl, \
-resultFileBest $RESULT_FILE_BEST, \
-familyACC FAMILY_FACTOR, \
-tmpDir \$TMP_DIR, \
-svmCutOFF $SVM_CUT_OFF_FILE, \
-svmFile \$TMP_DIR/FAMILY_FACTOR.test.prob, \
-outputFile \$TMP_DIR/FAMILY_FACTOR.domains, \
END_LINE,\
else, \
END_LINE,\
perl $SCRIPT_DIR/ensemble/format_best_results_no_training.pl, \
-resultFileBest $RESULT_FILE_BEST, \
-domainFile $DOMAIN_FILE, \
-familyACC FAMILY_FACTOR, \
-tmpDir \$TMP_DIR, \
-svmCutOFF $SVM_CUT_OFF_FILE, \
-svmFile \$TMP_DIR/FAMILY_FACTOR.test.prob, \
-outputFile \$TMP_DIR/FAMILY_FACTOR.domains, \
END_LINE,\
fi, \
END_LINE,\
if [ -s \$TMP_DIR/FAMILY_FACTOR.domains ], \
END_LINE,\
then, \
END_LINE,\
echo \"File created \: $OUTPUT_FILE\", \
END_LINE,\
else, \
END_LINE,\
echo \"ERROR File NOT created \: $OUTPUT_FILE\", \
END_LINE,\
fi, \
END_LINE \
\)  \
-posPost \( \
echo \"LOG::END::FAMILY_FACTOR\", \
BOTTOM cp \$TMP_DIR/*.domains \$DIR_OUT, \
BOTTOM rm -rf \$TMP_DIR, \
date \
\) \
-commandParameters  \( bash \)
