export ENV_VAR_FILE=$1; 		#File path having environment variables

source $ENV_VAR_FILE; 

export TF_TABLE=$2; 			#File path having Pfam domain ids,
export LOG_DIR=$3; 			#Directory to save executable files and log messages
export NAME_PROG=$4;			#Name for executable files
export QTD_FILE=$5;			#Amount of commands saved per executable file. It is usefull for MPI, if you are using just one machine set it with exact number of domains in the Pfam domain list.
export SEARCH_DATABASE=$6;		#Database in FASTA format that will be scanned by CLADE library
export MODEL_PSI_FILE=$7;		#Directory where Clade centered models were saved, default $CLADE_DIR/models/pssm/
export MODEL_HMM_FILE=$8;		#Directory where pHMMs were saved, default $CLADE_DIR/models/hmms/
export RESULT_DIR=$9;			#Result Directory, example $CLADE_DIR/results/plasmodb/domainsPfam/FAMILY_FACTOR/
export LIST_FILE=${10};			#List having selected species, default $CLADE_DIR/pfamLists/used/FAMILY_FACTOR/list.txt.final
export EVALUE_CUT_OFF=${11};		#E-value cut-off, default 1




export VERBOSE=false;

perl $PERL_LIB/run/runTestSetPFAMFamily.pl \
-trans_factor_table $TF_TABLE \
-nameRun ${NAME_PROG}_runFamily \
-logDir $LOG_DIR \
-kindRun 1 \
-qtdFile $QTD_FILE \
-prePost \( \
echo \"LOG::START::FAMILY_FACTOR\", \
date, \
TOP echo \$HOSTNAME, \
TOP export TMP_DIR=$TMP/NUM_FILE/, \
TOP mkdir -p \$TMP_DIR, \
TOP export PATH=\$PATH\:$PATH_PSIBLAST\;, \
TOP export PATH=\$PATH\:$PATH_HMMER\;, \
TOP export PERL_LIB=$PERL_LIB, \
TOP echo \" LOG::Coping Search database \", \
TOP export SEARCH_DATABASE_TMP=\$TMP_DIR/test.fasta, \
TOP cp $SEARCH_DATABASE \$SEARCH_DATABASE_TMP, \
END_LINE \
\) \
-scriptParameters \( \
END_LINE,\
if \[ -s $RESULT_DIR/result_resume.txt \], \
END_LINE, \
then, \
END_LINE, \
echo \"File alredy created $RESULT_DIR/result_resume.txt\", \
END_LINE, \
else, \
END_LINE, \
export RESULT_PSI_TMP=\$TMP_DIR/PSI-BLAST/FAMILY_FACTOR/results/, \
END_LINE, \
export MODEL_PSI_TMP=\$TMP_DIR/PSI-BLAST/pssms/, \
END_LINE, \
export RESULT_HMM_TMP=\$TMP_DIR/HMM/FAMILY_FACTOR/, \
END_LINE, \
export HMM_MODEL_TMP=\$TMP_DIR/HMM/FAMILY_FACTOR/model.hmm, \
END_LINE, \
mkdir -p $RESULT_DIR, \
END_LINE, \
mkdir -p \$MODEL_PSI_TMP, \
END_LINE, \
mkdir -p \$RESULT_PSI_TMP, \
END_LINE, \
mkdir -p \$RESULT_HMM_TMP, \
END_LINE, \
echo \" LOG::Coping PSSM models \", \
END_LINE, \
cp $MODEL_PSI_FILE \$MODEL_PSI_TMP, \
END_LINE, \
echo \" LOG::Untar PSSM models \", \
END_LINE, \
cd \$MODEL_PSI_TMP, \
END_LINE, \
tar -xzf FAMILY_FACTOR.tar.gz, \
END_LINE, \
rm \$MODEL_PSI_TMP/FAMILY_FACTOR.tar.gz, \
END_LINE, \
export MODEL_PSI_TMP=\$TMP_DIR/PSI-BLAST/pssms/FAMILY_FACTOR/, \
END_LINE, \
echo \" LOG::Coping HMM models \", \
END_LINE, \
cp $MODEL_HMM_FILE \$HMM_MODEL_TMP, \
END_LINE, \
df -h, \
END_LINE, \
du -sh \$TMP_DIR, \
END_LINE, \
bash $RUNNER_DIR/01_search_psi_blast.sh, \
$ENV_VAR_FILE, \
\$TMP_DIR, \
$LIST_FILE, \
\$MODEL_PSI_TMP, \
\$SEARCH_DATABASE_TMP, \
\$RESULT_PSI_TMP, \
$EVALUE_CUT_OFF, \
$VERBOSE, \
END_LINE, \
bash $RUNNER_DIR/02_create_result_file_PSI-BLAST.sh, \
$ENV_VAR_FILE, \
\$TMP_DIR, \
$LIST_FILE, \
\$RESULT_PSI_TMP, \
\$MODEL_PSI_TMP, \
\$SEARCH_DATABASE_TMP, \
FAMILY_FACTOR, \
\$RESULT_PSI_TMP/formated.psi, \
$VERBOSE, \
END_LINE, \
bash $RUNNER_DIR/03_search_hmmer3.sh, \
$ENV_VAR_FILE, \
\$HMM_MODEL_TMP, \
\$SEARCH_DATABASE_TMP, \
\$RESULT_HMM_TMP/all.hmm, \
$EVALUE_CUT_OFF, \
$VERBOSE, \
END_LINE, \
bash $RUNNER_DIR/04_create_result_file_hmmer3.sh, \
$ENV_VAR_FILE, \
\$TMP_DIR, \
\$RESULT_HMM_TMP/all.hmm, \
\$RESULT_HMM_TMP/formated.hmm, \
$VERBOSE, \
END_LINE, \
cat \$RESULT_PSI_TMP/formated.psi \$RESULT_HMM_TMP/formated.hmm \>  $RESULT_DIR/result_resume.txt, \
END_LINE, \
if \[ -s $RESULT_DIR/result_resume.txt \], \
END_LINE, \
then, \
END_LINE, \
echo \"File created $RESULT_DIR/result_resume.txt\", \
END_LINE, \
else, \
END_LINE, \
echo \"ERROR::File NOT created $RESULT_DIR/result_resume.txt\", \
END_LINE, \
fi,\
END_LINE, \
rm -rf \$RESULT_PSI_TMP, \
END_LINE, \
rm -rf \$MODEL_PSI_TMP, \
END_LINE, \
rm -rf \$RESULT_HMM_TMP, \
END_LINE, \
rm -rf \$HMM_MODEL_TMP, \
END_LINE, \
fi,\
END_LINE \
\)  \
-posPost \( \
echo \"LOG::END::FAMILY_FACTOR\", \
BOTTOM rm -rf \$TMP_DIR, \
END_LINE \
date \
\) \
-commandParameters  \( bash \)

