
export ENV_VAR_FILE=$1;
source $ENV_VAR_FILE;

export TMP_DIR=$2;
export LIST_FILE=$3;
export MODEL_DIR=$4;
export SEARCH_DATABASE=$5;
export RESULT_DIR=$6;
export EVALUE_CUT_OFF=$7;
export VERBOSE=${8};



#if [ $VERBOSE -eq 'true' ]
#then 
#	echo "TMP_DIR= $TMP_DIR";
#	echo "LIST_FILE= $LIST_FILE";
#	echo "MODEL_DIR= $MODEL_DIR";
#	echo "SEARCH_DATABASE= $SEARCH_DATABASE";
#	echo "RESULT_DIR= $RESULT_DIR";
#	echo "EVALUE_CUT_OFF= $EVALUE_CUT_OFF";
#	echo "FORMAT_DB= $FORMAT_DB";
#fi

export PATH=$PATH:$PATH_PSIBLAST;
export PERL_LIB=$PERL_LIB;

if [ -s $SEARCH_DATABASE.phr ]
then
	RUN_DB=0;
else
	RUN_DB=1;
fi

if [ $RUN_DB == 1 ]
then
	makeblastdb -in $SEARCH_DATABASE -dbtype prot 
fi

eval QTD_RUNS=`grep -c "" $LIST_FILE`;

#echo "LOG::Total runs $QTD_RUNS";

let COUNT=0;

#coping data


cat $LIST_FILE | while read subLine
do
	let COUNT=COUNT+1;

	#echo "LOG::run $COUNT of $QTD_RUNS"

	#echo ${subLine}

	i=0

	for WORD in `echo ${subLine}`; do
		STRING2[$i]=$WORD
		((i=i+1))
	done

	PROTEIN_NAME=${STRING2[1]}_${STRING2[2]}_${STRING2[3]};
	echo $PROTEIN_NAME

	RUN=1;
	
	PROTEIN_NAME=$PROTEIN_NAME".chk";

	if [ -s $MODEL_DIR/$PROTEIN_NAME ]
	then
		perl $PERL_LIB/run/search_psi_blast.pl \
			-pssmFile $MODEL_DIR/$PROTEIN_NAME \
			-dbSearch $SEARCH_DATABASE \
			-searchFileOut $RESULT_DIR/$PROTEIN_NAME.result.txt \
			-evalue $EVALUE_CUT_OFF \
			-format 6 \
			-verbose $VERBOSE

	else
		echo " ERROR File NOT Created: $MODEL_DIR/$PROTEIN_NAME ";
	fi
done
